Bug 205827 - CVE-2006-4600 openldap improper selfwrite access
CVE-2006-4600 openldap improper selfwrite access
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Safranek
reported=20060906,source=cve,impact=l...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-08 15:33 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: openldap-2.3.30-2.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-18 04:09:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-09-08 15:33:43 EDT
openldap improper selfwrite access

The way openldap handles selfwrite access is broken.  Users with
selfwrite access should only be able to add/remove their own DN to the
target, but via this bug any DN may be modified.

This was fixed upstream in version 2.3.25
http://www.openldap.org/its/index.cgi/Software%20Bugs?id=4587
http://secunia.com/advisories/21721/

A reproducer can be found here:
http://www.openldap.org/devel/cvsweb.cgi/tests/scripts/test006-acls?hideattic=1&sortbydate=0
Comment 1 Fedora Update System 2007-04-27 01:51:02 EDT
openldap-2.3.30-2.fc5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 2 Fedora Update System 2007-05-14 13:17:12 EDT
openldap-2.3.30-2.fc5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.